View Issue Details

IDProjectCategoryView StatusLast Update
0017381mantisbtsecuritypublic2014-12-08 00:34
ReportergrangewayAssigned Tograngeway 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017381: Provide additional random number generators
Description

Whilst this will work on linux, this is mainly to aid windows users.

We add the mcrypt_create_iv function [ http://uk3.php.net/mcrypt_create_iv ]

From php.net: "PHP 5.3 Windows binaries uses the static version of the MCrypt library, no DLL are needed." [http://uk3.php.net/manual/en/mcrypt.requirements.php]

This provides windows users of Mantis a suitable random string generator if openssl is not available.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 5f4cea09

2014-05-26 13:44:40

Paul Richards

Details Diff
Fix 0017381: Provide additional random number generators
mod - core/crypto_api.php Diff File

MantisBT: master c0159d70

2014-05-29 08:55:34

grangeway

Details Diff
Merge pull request 0000186 from grangeway/17381

Fix 0017381: Provide additional random number generators
mod - core/crypto_api.php Diff File

Issue History

Date Modified Username Field Change
2014-05-26 13:44 grangeway New Issue
2014-05-28 18:41 grangeway Status new => assigned
2014-05-28 18:41 grangeway Assigned To => grangeway
2014-05-29 08:55 Changeset attached => MantisBT master 5f4cea09
2014-05-29 08:55 grangeway Changeset attached => MantisBT master c0159d70
2014-05-29 08:55 grangeway Status assigned => resolved
2014-05-29 08:55 grangeway Resolution open => fixed
2014-05-29 08:55 grangeway Fixed in Version => 1.3.0-beta.1
2014-05-29 16:12 atrol Target Version => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed